Functions
IO operation functions
Peripheral Driver » HAL Driver » EFUSE » Functions

eFuse Data manage functions More...

## Functions
hal_status_t | hal_efuse_write (efuse_handle_t *p_efuse, uint32_t word_offset, const uint32_t *p_data, uint32_t nword)
| Write the eFuse memory data. More...
hal_status_t | hal_efuse_read (efuse_handle_t *p_efuse, uint32_t word_offset, uint32_t *p_data, uint32_t nword)
| Read the eFuse memory data. More...
hal_status_t | hal_efuse_initial_value_check (efuse_handle_t *p_efuse)
| Check the eFuse memory with 0, if memory are all 0, return HAL_OK, then return HAL_ERROR. More...

## Detailed Description

eFuse Data manage functions

## Function Documentation

## ◆ hal_efuse_initial_value_check()

hal_status_t hal_efuse_initial_value_check | ( | efuse_handle_t * | p_efuse | ) |

Check the eFuse memory with 0, if memory are all 0, return HAL_OK, then return HAL_ERROR.

Parameters

  [in] | p_efuse | Pointer to a eFuse handle which contains the configuration information for the specified eFuse module.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_efuse_read()

hal_status_t hal_efuse_read | ( | efuse_handle_t * | p_efuse,
|  | uint32_t | word_offset,
|  | uint32_t * | p_data,
|  | uint32_t | nword
| ) |  |

Read the eFuse memory data.

Note
  Address should be eFuse memory address.

Parameters

  [in] | p_efuse | Pointer to a eFuse handle which contains the configuration information for the specified eFuse module.
  [in] | word_offset | eFuse memory offset, unit word, this parament can be a value between: 0x000 ~ 0x80.
  [in] | p_data | Pointer to data buffer for storage eFuse data.
  [in] | nword | Size of data to be read, unit word.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.

## ◆ hal_efuse_write()

hal_status_t hal_efuse_write | ( | efuse_handle_t * | p_efuse,
|  | uint32_t | word_offset,
|  | const uint32_t * | p_data,
|  | uint32_t | nword
| ) |  |

Write the eFuse memory data.

Note
  Address should be eFuse memory address.

Parameters

  [in] | p_efuse | Pointer to a eFuse handle which contains the configuration information for the specified eFuse module.
  [in] | word_offset | eFuse memory offset, unit word, this parament can be a value between: 0x00 ~ 0x80.
  [in] | p_data | Pointer to data buffer for storage eFuse data.
  [in] | nword | Size of data to be write, unit word.

Return values

  HAL_OK | Operation is OK.
  HAL_ERROR | Parameter error or operation not supported.
  HAL_BUSY | Driver is busy.
  HAL_TIMEOUT | Timeout occurred.